# libdar::deci Class Reference
[Tools]

decimal class, convert infinint from and to decimal represention More...

`#include <deci.hpp>`

List of all members.

## Public Member Functions
| deci (std::string s)
| constructor to build a "deci" object from a string representing decimals
| deci (const infinint &x)
| constructor to build a "deci" from an infinint
| deci (const deci &ref)
| copy constructor
| ~deci ()
| destructor
deci & | operator= (const deci &ref)
| copy operator
infinint | computer () const
| this produce a infinint from the decimal stored in the current object
std::string | human () const
| this produce a string fromr the decimal stored in the current object

## Detailed Description

decimal class, convert infinint from and to decimal represention

the class contains the decimal representation of an integer and can produce a readable string to display the corresponding integer it can also produce a computer value corresponding to the decimal value. In the other side, objects of this class can be built from a integer as well as from a string representing the decimals of an integer.

Definition at line 49 of file deci.hpp.

The documentation for this class was generated from the following file:

- deci.hpp